Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::view::zip_with_fn Struct Referenceabstract

## Synopsis of methods
constexpr zip_with_fn | zip_with {}

## Public Member Functions
template<typename... Rngs, typename Fun >
auto | operator() (Fun fun, Rngs &&... rngs) const -> zip_with_view< Fun, all_t< Rngs >... > requires And< ViewableRange< Rngs >... > &&And< InputRange< Rngs >... > &&CopyConstructible< Fun > &&Invocable< Fun &, range_reference_t< Rngs > &&... > &&(sizeof...(Rngs) !=0)
template<typename Fun >
constexpr auto | operator() (Fun) const noexcept -> empty_view< std::tuple<>> requires CopyConstructible< Fun > &&Invocable< Fun & >